GNU bug report logs - #39618
28.0.50; gnus nnimap reports more group articles than actually exist

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Deus Max <deusmax@HIDDEN>; dated Sat, 15 Feb 2020 19:26:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 20 Feb 2020 21:35:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 16:35:35 2020
Received: from localhost ([127.0.0.1]:46010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4tTr-0005kH-FX
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 16:35:35 -0500
Received: from mout.gmx.net ([212.227.17.20]:51613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deusmax@HIDDEN>) id 1j4tTp-0005jm-KD
 for 39618 <at> debbugs.gnu.org; Thu, 20 Feb 2020 16:35:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1582234527;
 bh=6jPa2M7ltSIqAnPveVgj9+ZzFy/qEouhuTPExOz82jY=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=QtWVZC33tl+pqnDjP8jJp/dWmfhx+hdZoRv2syBbPFgHh8hYrdzljAPvW7fI1iXMS
 1b4KWXhrsoJXGBTNUBU7Oj6d6+J5VThgIAMIB3hp40NLEUUNOAfSk1bIdvrV+402os
 sJmTTs/0naP9j0yuhIJ7XFxiJxARqjRBeFqZXEQ0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from dellcorei5dias ([5.54.155.167]) by mail.gmx.com (mrgmx104
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1MOA3F-1ipfs612kr-00OVP1; Thu, 20
 Feb 2020 22:35:27 +0100
From: Deus Max <deusmax@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN> <87zhdd5sei.fsf@HIDDEN>
 <87eeupuh1c.fsf@HIDDEN> <87mu9d2deu.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 23:35:20 +0200
In-Reply-To: <87mu9d2deu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 20 Feb 2020 21:48:25 +0100")
Message-ID: <878skxuelj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:W0N2bV9Tohze5YHefB5MkCKGNzm/AuJ6fcs/CHIwg82emJxEU1a
 hRt5Ll/HqLCKxq+0r7VBoFaKIMudpGMGiEMDmyzGwi4KVdEYfS1U6oFtkAZsLBaLC65GV8V
 dfIjfEjfuEW0bBBj2YErXlJGAg/ZC4Yk/xWaR9UJymXQlNueWjEWstuL4TEPZm2tIRZxzzw
 9MP3hR6SnvQUJmflK0XpQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:yjhvaoXx4PQ=:QbPx/OkmW2pERjhqpv35uo
 RaiYOyUH6i6TUsLGuWgtnU/KaF6fhsM5yfyAJR0QEN6DSZsh3l7o1c6ln4jilJka+aiCI5mln
 ngXSDN9TsjbbxmXJtfZ7Mtuu62AQq4n3uqjwrj1APlvnyV2b0vOaahXUCP885ogQ36C+/JSSn
 WyrlgGuUPYEDAP4hEoJWcZV5ddnz58YXDQ/kcOkv8bSGu63g4Ewob8brwTQW/uaYPdpYKayXb
 a9AaRyIlT8jCQuvb4h1KY1jFWfWLpjeULWIoQsPsJIE91rthPPaOq+GvDjMnPVDFTR4jJ7JgZ
 R6LUjDmt+eyCTXLklI5jrvWI0bhJNdky6H+i2o2jhogtJ4A/h2Tlv/qifDlsV2ffO9go+KYAK
 R6/aNKgmOBUna94nNt5S5uP9B1plYY8oOeTVX2L8p5n/Dq2AMk3nqu/zCbvffid4ZrrggGjyp
 IF6PZXr7v4IyVwHxXQ1bbbkYNilz6sPWcmtjn/+44x8uOqhoziRBNMpC/UJl+4RknnQLwxZ5S
 q0QfGTlri8PD+Yi49K7b/PG4joOilNw1zP4cfelohZPP0y16r81/Iy/M7UEOjCK7HEot7YU9x
 HvrpwHpXuJ8jDGQRwe5y8yipL1XjBxFktHQ93/pATZT+1ZMIOq+7u04YwqdYHlhjuA+I2Osls
 c+KrwmqAk7X7Fr5qwKe55Hnm5pc/TAhIR+4sQ8+Lc1IW/mEMnHGfQrJdJavhEoBSk7CkxsdQE
 7DDTP5Bz+S9tXPyBBAom0jm2ikngQp1xaFvSt1aG7yEMZwNDKHo3q+gIVsg1UuirnR1rwagrK
 1BrudMLLe39lCXTZ1WeeLYVuaJ+4mJIGpy4up4xIB1yyHbLgON7Hxq9smoohk7fd/+J44PRgZ
 sO7kZZjcjwKV8gXqoeDq7XUuL+RZjo2V/lNGMgz9eQJzsXHArYDS6EvozTdcZhLXuKreUUXSu
 4cAWI5dzxRI7FXKvIIIJmj+XYmLSLnjUCIbmq47UHZRdHDdhuOMuTQE6XsMEYYnj4clq8RQAs
 LbcxKLNN/GhrX4YvwdeQZhJXwDuE04djY4fqcoYBbNoZIP6N1dTEG8RalfQ5TnAQ4wj3xTebp
 OJGTsOCmgP4FB7psDmZf8nzbj7EcAOwvmgSAHgppI2/f4+M67bW4nUsBqwn7DxLXqtVnmRfwx
 o42Zx1t9yBr10fRpXBO/V5uxWuoHDRUCwUbW+GpUtmeR1v4wR6kXeGwRAkLn7XYdznrmLi0m5
 yx+YtuSQzIX49y3gU
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Feb 20 2020, Lars Ingebrigtsen wrote:

> Deus Max <deusmax@HIDDEN> writes:
>
>> No. I don't use the Gnus Agent.
>> I'm always plugged-in when using gnus nnimap.
>
> Anything in ~/News/cache for the groups?

Currently no files in the ~/New/cache/active tree, but there might have
been.
I have erased the .newsrc.eld and started over.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 20 Feb 2020 20:48:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 15:48:36 2020
Received: from localhost ([127.0.0.1]:45958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4skO-0004VK-88
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 15:48:36 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1j4skN-0004V7-Bu
 for 39618 <at> debbugs.gnu.org; Thu, 20 Feb 2020 15:48:35 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1j4skE-0007Ip-At; Thu, 20 Feb 2020 21:48:28 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Deus Max <deusmax@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN> <87zhdd5sei.fsf@HIDDEN>
 <87eeupuh1c.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 21:48:25 +0100
In-Reply-To: <87eeupuh1c.fsf@HIDDEN> (Deus Max's message of "Thu, 20
 Feb 2020 22:42:39 +0200")
Message-ID: <87mu9d2deu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Deus Max <deusmax@HIDDEN> writes: > No. I don't use the Gnus
 Agent. > I'm always plugged-in when using gnus nnimap. Anything in
 ~/News/cache for the groups? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gmx.com]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Deus Max <deusmax@HIDDEN> writes:

> No. I don't use the Gnus Agent.
> I'm always plugged-in when using gnus nnimap.

Anything in ~/News/cache for the groups?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 20 Feb 2020 20:42:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 15:42:54 2020
Received: from localhost ([127.0.0.1]:45946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4ses-0004La-2E
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 15:42:54 -0500
Received: from mout.gmx.net ([212.227.15.19]:37055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deusmax@HIDDEN>) id 1j4seq-0004LK-0j
 for 39618 <at> debbugs.gnu.org; Thu, 20 Feb 2020 15:42:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1582231365;
 bh=iUJcksZ1FPqH5sl1OecvqoTbLWIrk1t+CtJj6lX/6c8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=RXiW2zE+kDT6UlTK5iP5PXf8aMz5aRqW/jSaNR/pNI6F8pYF2BLkJwiOFXghmq55V
 jgFGY5jv7B1q2YvrCsplyhi6Rwgaaj9v7fpmIs3jKzot+W2GeiSHxGmkBm4EP4lW6U
 WI7okVOaZ5qc8Pur4QZoTY+2KG5+7wGos+dClNio=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from dellcorei5dias ([5.54.155.167]) by mail.gmx.com (mrgmx004
 [212.227.17.184]) with ESMTPSA (Nemesis) id 1MtOGa-1jIPOt26Ji-00upOw; Thu, 20
 Feb 2020 21:42:45 +0100
From: Deus Max <deusmax@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN> <87zhdd5sei.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 22:42:39 +0200
In-Reply-To: <87zhdd5sei.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 20 Feb 2020 13:56:21 +0100")
Message-ID: <87eeupuh1c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:a0fcJZHdxpIzEXP+0BsR0Gh8kBtpwzb0iYGbxNtE27i9/6fbIDB
 vlGrn4kdgIldvYDAQemCo/5RH91zxeidZOG0L3B0LgblENEweOusPf44m1KUChHHTazsFVd
 K2Vg8BiMX4aJ2kAwHPrS1gpNFQ/VZ6R/fxLf4Q3PC7IwumLZtef2s9k2nJ6/pvqzIxmAB/z
 WlM65x7iMaXVQaXdcs2dA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:cp4M2QYAZKQ=:JqP0+XnGZx1Gdw3tfHZK7B
 SVxrmDPuzdfqv2rn1DNgEZ7cjdMW62sbLVBRNoC/25Q65Jefxt1T5+sfVtbX83F3OP/FWnntO
 8QVaan2DjW8Onw6fGlgk61RAezZtuWPE0YIpY87IdSJ49w8vFuXb1MZm3k7Y6V/pbrWAiSA+P
 //rBF62INWBTwryEx2UOLCZ5asPvhGc9erjzj90xR291P7ytzXUGE2ffrVxJChSliJfCLgOjV
 lyvqjHLJOjlNK1DxnvJ9VxV5AdTXowVfRTzJAm4TzcnNs9n7hXTwtUPPtREXPAbuKaMTFMnV8
 kBP4oqE3pt/CZ/cNhw0h8xcUoJmWdQAp/9Qa7crjzt6fbtWeWK1W2OZPa9ZN3Id63usMZ//xz
 ZQigE2fyb9ngfP69xoFhl0lenuTTj57V431JcHm38/pU9soDU3gWlGde+RKrQ//s2xLKnrBd6
 KAic1oiPJieWUwSGnaxPLd84zqPmwE0pWIPXHZpU0D5dkLqxFswXVM6SP9ANRQxq4mNdWGrZr
 EBvbUc+bYJ1+rgyuxzdJiRfIIjRFKWR3GbFXGn/ehpE8IqOJNOyshuc3HMYM1y6MFNb/TVhHT
 LGmMZkSdo1LeCP5TSgDzKxke1+CdBAEKy/AxyxU2Z1i82siUYNC1Qf/vDWx0lxokDrsVq1bEY
 UU6NiICJn6jkyCOLYBTrurxPaeypNt0iCg39SVi256VU/Kl4MjsejRKTTww/EVLzRkJfXNcBz
 h/fCkd6k6wYpZqku0tnGM1Eigr/7RGJUEBYDjsMEd0N3MvnLTduJYJWFBG3wRmpjzEki7uOqu
 UIELTJBTQFQjjAzun+7fUo71VqRdyuOYunPSEi2E2qt0S2a5jMgUBLiEsRtFT/7zDxpN6llnG
 roBIUT0pRQ2ZiTdEvfXwRZS3IlYPLEX4AWKPxLlLpzteqfEcbCPDsyrvwJDz5RowipWK2wPOh
 U7vXTFVYAXJ5Sc6uacMeu9ksVaTzcT5A0nMOSATshTtnKlTyxUoLIn+yb6bYTYZiz/RIeseti
 vY9zdtuemR8nirlhSdt4kYlG4vbpwA4m3EWNAL/7L0Tqm+LMTisUAVKG7s8UXPxIKICrLf1fX
 wPm1Xv8PEe6fl16QZdF93dtaycocVQ8eWmMj1rsDp2IMgN1GAzA+unfQ8KNA9lUKhBe0vhAn4
 hnJR+zJjP8G9lXYdO0CcRv9ls/mfEpI86KcF/zfnEzc9K//6o8yPkyw7ou1hqA8rCtKKy2LIa
 Wr98ffb5AiQJM13VQ
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Feb 20 2020, Lars Ingebrigtsen wrote:

> Deus Max <deusmax@HIDDEN> writes:
>
>> Luckily, this being nnimap the situation can be recovered by removing
>> the .newsrc files and restarting gnus from scratch. This is not optimal,
>> as all other relevant configurations will be lost, such as group levels,
>> etc.
>>
>> This issue has happened before, it is not the first time.
>
> Do you use the Gnus Agent for these groups?

No. I don't use the Gnus Agent.
I'm always plugged-in when using gnus nnimap.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 20 Feb 2020 18:56:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 13:56:21 2020
Received: from localhost ([127.0.0.1]:45867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4qzk-0001fQ-O6
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 13:56:21 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:50688
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1j4qzi-0001fD-Sq
 for 39618 <at> debbugs.gnu.org; Thu, 20 Feb 2020 13:56:19 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 07060FA025;
 Thu, 20 Feb 2020 18:56:11 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN>
 <875zg6kuue.fsf@HIDDEN> <877e0jwtx8.fsf@HIDDEN>
 <87eeur4lxk.fsf@HIDDEN> <871rqqwdcs.fsf@HIDDEN>
 <87v9o15sbs.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 10:56:10 -0800
In-Reply-To: <87v9o15sbs.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 20 Feb 2020 13:57:59 +0100")
Message-ID: <87r1yp6qb9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org, Deus Max <deusmax@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Deus Max <deusmax@HIDDEN> writes:
>
>> Simplifying nnimap not to keep track of local marks, may not only reduce
>> complexity but also take care of this problem.
>> If it's not needed, it's a waste. What do you think ?
>
> It's needed -- the data transferred from the IMAP server to the client
> is impractically large if one were to do a complete resync each time.
> The client keeps tracks of read/marked/etc messages, too, and just sends
> a QRESYNC command to the server, which means "tell me everything that's
> changed since last time".  This is vastly more efficient.

Yaar, that was a pretty out-there suggestion. And, as you've pointed out,
actually a bad idea.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 20 Feb 2020 12:58:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 07:58:10 2020
Received: from localhost ([127.0.0.1]:43986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4lP8-0005iL-65
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 07:58:10 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1j4lP7-0005iA-7l
 for 39618 <at> debbugs.gnu.org; Thu, 20 Feb 2020 07:58:09 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1j4lOy-0002qe-IQ; Thu, 20 Feb 2020 13:58:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Deus Max <deusmax@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN>
 <875zg6kuue.fsf@HIDDEN> <877e0jwtx8.fsf@HIDDEN>
 <87eeur4lxk.fsf@HIDDEN> <871rqqwdcs.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 13:57:59 +0100
In-Reply-To: <871rqqwdcs.fsf@HIDDEN> (Deus Max's message of "Wed, 19
 Feb 2020 22:06:59 +0200")
Message-ID: <87v9o15sbs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Deus Max <deusmax@HIDDEN> writes: > Simplifying nnimap not
 to keep track of local marks, may not only reduce > complexity but also take
 care of this problem. > If it's not needed, it's a waste. What do you think
 ? Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gmx.com]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39618
Cc: Eric Abrahamsen <eric@HIDDEN>, 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Deus Max <deusmax@HIDDEN> writes:

> Simplifying nnimap not to keep track of local marks, may not only reduce
> complexity but also take care of this problem.
> If it's not needed, it's a waste. What do you think ?

It's needed -- the data transferred from the IMAP server to the client
is impractically large if one were to do a complete resync each time.
The client keeps tracks of read/marked/etc messages, too, and just sends
a QRESYNC command to the server, which means "tell me everything that's
changed since last time".  This is vastly more efficient.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 20 Feb 2020 12:56:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 07:56:33 2020
Received: from localhost ([127.0.0.1]:43982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4lNY-0005fc-Rf
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 07:56:33 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1j4lNX-0005fP-IB
 for 39618 <at> debbugs.gnu.org; Thu, 20 Feb 2020 07:56:32 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1j4lNO-0002ni-Co; Thu, 20 Feb 2020 13:56:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Deus Max <deusmax@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 13:56:21 +0100
In-Reply-To: <877e0nlkk6.fsf@HIDDEN> (Deus Max's message of "Sat, 15
 Feb 2020 21:25:29 +0200")
Message-ID: <87zhdd5sei.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Deus Max <deusmax@HIDDEN> writes: > Luckily,
 this being nnimap
 the situation can be recovered by removing > the .newsrc files and restarting
 gnus from scratch. This is not optimal, > as all other relevant configurations
 will be lost, [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gmx.com]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Deus Max <deusmax@HIDDEN> writes:

> Luckily, this being nnimap the situation can be recovered by removing
> the .newsrc files and restarting gnus from scratch. This is not optimal,
> as all other relevant configurations will be lost, such as group levels,
> etc.
>
> This issue has happened before, it is not the first time.

Do you use the Gnus Agent for these groups?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 19 Feb 2020 22:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 19 17:09:08 2020
Received: from localhost ([127.0.0.1]:43535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4XWl-0005bY-Iq
	for submit <at> debbugs.gnu.org; Wed, 19 Feb 2020 17:09:07 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:55264
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1j4XWj-0005af-SM
 for 39618 <at> debbugs.gnu.org; Wed, 19 Feb 2020 17:09:06 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 3015AFA9B0;
 Wed, 19 Feb 2020 22:08:59 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Deus Max <deusmax@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN>
 <875zg6kuue.fsf@HIDDEN> <877e0jwtx8.fsf@HIDDEN>
 <87eeur4lxk.fsf@HIDDEN> <871rqqwdcs.fsf@HIDDEN>
Date: Wed, 19 Feb 2020 14:08:57 -0800
In-Reply-To: <871rqqwdcs.fsf@HIDDEN> (Deus Max's message of "Wed, 19
 Feb 2020 22:06:59 +0200")
Message-ID: <878sky9qme.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Deus Max <deusmax@HIDDEN> writes:

> On Tue, Feb 18 2020, Eric Abrahamsen wrote:
>
>> On 02/18/20 21:56 PM, Deus Max wrote:
>>> On Sun, Feb 16 2020, Eric Abrahamsen wrote:
>>>
>>>> Deus Max <deusmax@HIDDEN> writes:
>>>>
>>>>> Recently my gnus started displaying (in the *Group* buffer) some groups
>>>>> (which had previously no unread articles) with an unread "ghost" article
>>>>> but which groups could not be normally entered.
>>>>>
> snip
>>>>> This issue has happened before, it is not the first time.
>>>>
>>>> This definitely happens to many of us from time to time. Unfortunately I
>>>> can't really reproduce the problem, as by the time it appears it's too
>>>> late to figure out where it came from, though I assume it has to do with
>>>> Gnus calculating unread messages from a high-low range, and not being
>>>> aware of "filled in" read messages within that range.
>>>>
>>> You think this is a nnimap or a general Gnus issue ?
>>
>> I don't know. I suspect that it's a general Gnus issue, but it is more
>> evident with nnimap, since that's pretty much the only (?) server where
>> local marks must be kept in sync with a remote server. In principle,
>> there's no reason why Gnus would need to keep local marks for imap
>> groups.
>>
> Hey ! Maybe you have a point here.
> Simplifying nnimap not to keep track of local marks, may not only reduce
> complexity but also take care of this problem.
> If it's not needed, it's a waste. What do you think ?
>
> Of course, some info needs to be kept to avoid the heavy load that
> occurs when one starts with an empty .newsrc.
> For one, we have the group names...

I think this is one of those things that sounds like it would be a great
idea, but would turn into an enormous mess if we tried to implement it.
Not that it's not worth doing, mind you!

>>> Understanding how the newsrc file is written, should be next for me.
>>
>> It's just, with their lists of marks. The lists are in "gnus range"
>> format (see gnus-range.el), which is just a compressed list of integers:
>> '(1 2 3 4 6 12 21 22 23) => '((1. 4) 6 12 (21. 23))
>>
>> They are treated as sets, with lots of the usual set manipulation
>> functions in gnus-range.el. Part of the problem is the direct
>> manipulation of ranges that happens elsewhere in the codebase, typically
>> impenetrable thickets of "(setcdr (nthcdr 3 range) (cadar range)" etc
>> etc, often with little or no comments.
>>
>> On my (long) list of things to do with Gnus is to write several more
>> macros for range manipulation, so that all the messy stuff happens
>> inside gnus-range.el, and the rest of the codebase is fairly readable.
>> My hope is that, in the course of that process, bugs will show
>> themselves up.
>>
> Really interesting, thanks.
> Sounds like a complete re-write of Gnus (streamlined of course!) is
> hiding behind what you just said :-)

Ha, I hope not! In fact, I think not keeping track of imap group marks
would be far more work. In this case, all we'd be doing is creating more
macros that could be used to gradually hide the implementation of
ranges. That could be done incrementally, as we had time.

>
>>> The primary thing a mail, em..sorry.. news-reader, should be is stable.
>>> Not to have any corruption issues.
>>
>> No argument here...
>>
>>>> In the meantime, is "M-g" on the problematic group(s) enough to
>>>> permanently fix the problem? Not a great solution, though better than
>>>> doctoring your .newsrc.eld file...
>>>
>>> No difference. On testing your suggestion, the "M-g" was ignored as
>>> was/is the regular "g".
>>
>> Sorry, I don't know where else to look. My only solution is the hard
>> one: clean up range manipulation until we can see what's going on.
>
> Thanks
> I didn't find any other similar bug reports on debbugs. Is that just my
> terrible search abilities ?

Dunno, probably not. I think there have been several conversations about
it on gnus.general, but maybe no bugs reports? Anyway, I think it's
worth leaving this one open.

Yours,
Eric




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 19 Feb 2020 20:07:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 19 15:07:24 2020
Received: from localhost ([127.0.0.1]:43412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4Vcy-0002bJ-G7
	for submit <at> debbugs.gnu.org; Wed, 19 Feb 2020 15:07:24 -0500
Received: from mout.gmx.net ([212.227.17.20]:39155)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deusmax@HIDDEN>) id 1j4Vcw-0002b2-1u
 for 39618 <at> debbugs.gnu.org; Wed, 19 Feb 2020 15:07:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1582142826;
 bh=vCkh1wcFai34QUUkjzjYWzHvxNERmRVdo7dEZzeJiKI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Shx+UxtzyiO6YCD1Janzv63GSG0Zs5zoWDpJSm0fmgtr/viZT9XFoWqC8Oyc8EgO1
 MGq3uVKOsHSPi3vx+00L42XS+wGdV9XhFwX6eLBRmxWNh3IUzYX2NuiWBa7tQVye86
 uAFc7ZGxt9R1cOMMKBI/pQRQgM//9losoxLNAZBo=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from dellcorei5dias ([5.54.155.167]) by mail.gmx.com (mrgmx105
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1MowKc-1jo2i73ZU6-00qRlp; Wed, 19
 Feb 2020 21:07:06 +0100
From: Deus Max <deusmax@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN>
 <875zg6kuue.fsf@HIDDEN> <877e0jwtx8.fsf@HIDDEN>
 <87eeur4lxk.fsf@HIDDEN>
Date: Wed, 19 Feb 2020 22:06:59 +0200
In-Reply-To: <87eeur4lxk.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Tue, 18 Feb 2020 13:36:55 -0800")
Message-ID: <871rqqwdcs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:3EtrEkRlfculc45s/+76x/ErdKf+6zbFDR+p1UW8/v4fxSYf7PA
 0Wy/qrETHJK7XGg8VkLcc1Z5qhzlBj+zRUJ82fZB1lJZg1tnl1XJN0/uRtxCJGuHu6XAU+g
 PJDgYzFOApI1Fqit+1K/oO7C2OSi9r7mWpQjiNJBWQ4NUW5DwkX+EEjgEBP0AITIozSrMnY
 P6eno9J0SK9uQJNfx0wmg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PHbtKt6h3wE=:ERpyHyaBa/vhLQXuirFhB/
 cWvu0ukZAnzeSS2FXL3LYmBKCDdDF+i2RHlnmZ0Kva1xeew0kqC0ktigfgHcZXjIWlaHCwWEQ
 7A5XjTsmgBKxUHYqzZvAHpQbTR37z4+KyF5RL33ECre5W1Rjf6aYCsoE48bWQqD7JCun7p7ka
 hsNv4qGFAS74/lyW9Ix2Pm3UZg0bfgQEiO6MJBJ0LAeD/d5lbeWENlau3tpAGx/br9cqWHZmK
 KaExNqOdH0DSRJXVr3W852xC3XXYDr7xo5HhNmB+Fmeb7JjXSW24nS6/F0Tu1HQbwbMwkooDu
 J/gZ/nR9cohzH1Zg6xnVqHYc1Fd9nBkqZqGCK3AjUSWFGQDmlskLOz2pRI+UOW7lGp8jANhUG
 LxJhwRHdZda+wrxgpkB+y28D5cbjl2iEatoxzXDWKkCIQZJHtwGEE2glcVw6se8tFyZNVBQub
 QFAupm1CzPoZu2uG15phIJCz+zMT0OenhgPRpayQ2OVOMZchTre0xIK+UpUe3CvpinsZcrUKF
 Fv3lymjhJhheZUjmgY1Qx+jDsXzqdveYfFqn+5i3eiBPWKTyPoDWav7sZo3bvThRggzFqGpNq
 anmbULjLIB7Dl6cwLWkGVEoho8NT89el3b7LoSkKfeDF5CAdJKckKVRGAJzW0kV8sCOaBKMn5
 ryHwhL3RdWKXhWZXk7oOrB7CX1c4M6aysN3ky4HpVUKa8boEOe10IQ0IY+2XmEgYIYD67SiBc
 a/lqbpI9F+ar8dbH1xAd7dwf34JC2V7+VWXeYG2dAWR/b//HMdAM/Hhulz7Ib42TkpdHyGmvK
 YFxti5l7+otL8/ClxbCwra6LSk8F1AgN32dWxLsh6Bz93RlD5GSEHlNGy7w1WPwxBoXob3gSx
 UK9VLlljBpq97BBS/SffGbLyyb5IpNobINYc6xbUay4P87nBIkZ4ut2TLh+I/MuI1R+oATDs4
 BjiISkcOL1+kB2VI+NI2Gjdqxh4sQVxXd7E4ETLob1+v/WupYWP/Yei/UHc//3NLV2748UR4k
 k2tOAPb71kRzzXqYnk0wSDd4SOl5zXGdJGB6OEJ9ZhX36HMCbVoRfOY+rIaWnV/9di5WMLOcG
 C1EFBTLw4IFL/w1CqMfn0WygRh3EPHOuNE9Y8cuURB2PBbhJjpm7sy0I9AOC21/9A0dTQOeGl
 kCT1DwUld6ZgLFQcklUsEf3aFSkTK3WvIWuPRd4hEaw/hmGV13owCVvMCW5gTmSgMAhch7eaN
 +hVL7YBFwxEqPsmdE
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Feb 18 2020, Eric Abrahamsen wrote:

> On 02/18/20 21:56 PM, Deus Max wrote:
>> On Sun, Feb 16 2020, Eric Abrahamsen wrote:
>>
>>> Deus Max <deusmax@HIDDEN> writes:
>>>
>>>> Recently my gnus started displaying (in the *Group* buffer) some groups
>>>> (which had previously no unread articles) with an unread "ghost" article
>>>> but which groups could not be normally entered.
>>>>
snip
>>>> This issue has happened before, it is not the first time.
>>>
>>> This definitely happens to many of us from time to time. Unfortunately I
>>> can't really reproduce the problem, as by the time it appears it's too
>>> late to figure out where it came from, though I assume it has to do with
>>> Gnus calculating unread messages from a high-low range, and not being
>>> aware of "filled in" read messages within that range.
>>>
>> You think this is a nnimap or a general Gnus issue ?
>
> I don't know. I suspect that it's a general Gnus issue, but it is more
> evident with nnimap, since that's pretty much the only (?) server where
> local marks must be kept in sync with a remote server. In principle,
> there's no reason why Gnus would need to keep local marks for imap
> groups.
>
Hey ! Maybe you have a point here.
Simplifying nnimap not to keep track of local marks, may not only reduce
complexity but also take care of this problem.
If it's not needed, it's a waste. What do you think ?

Of course, some info needs to be kept to avoid the heavy load that
occurs when one starts with an empty .newsrc.
For one, we have the group names...


>> Understanding how the newsrc file is written, should be next for me.
>
> It's just, with their lists of marks. The lists are in "gnus range"
> format (see gnus-range.el), which is just a compressed list of integers:
> '(1 2 3 4 6 12 21 22 23) => '((1. 4) 6 12 (21. 23))
>
> They are treated as sets, with lots of the usual set manipulation
> functions in gnus-range.el. Part of the problem is the direct
> manipulation of ranges that happens elsewhere in the codebase, typically
> impenetrable thickets of "(setcdr (nthcdr 3 range) (cadar range)" etc
> etc, often with little or no comments.
>
> On my (long) list of things to do with Gnus is to write several more
> macros for range manipulation, so that all the messy stuff happens
> inside gnus-range.el, and the rest of the codebase is fairly readable.
> My hope is that, in the course of that process, bugs will show
> themselves up.
>
Really interesting, thanks.
Sounds like a complete re-write of Gnus (streamlined of course!) is
hiding behind what you just said :-)


>> The primary thing a mail, em..sorry.. news-reader, should be is stable.
>> Not to have any corruption issues.
>
> No argument here...
>
>>> In the meantime, is "M-g" on the problematic group(s) enough to
>>> permanently fix the problem? Not a great solution, though better than
>>> doctoring your .newsrc.eld file...
>>
>> No difference. On testing your suggestion, the "M-g" was ignored as
>> was/is the regular "g".
>
> Sorry, I don't know where else to look. My only solution is the hard
> one: clean up range manipulation until we can see what's going on.

Thanks
I didn't find any other similar bug reports on debbugs. Is that just my
terrible search abilities ?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 18 Feb 2020 21:37:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 18 16:37:05 2020
Received: from localhost ([127.0.0.1]:41383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4AYC-000583-Qp
	for submit <at> debbugs.gnu.org; Tue, 18 Feb 2020 16:37:05 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:55166
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1j4AYA-00057W-NC
 for 39618 <at> debbugs.gnu.org; Tue, 18 Feb 2020 16:37:03 -0500
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id B78A8FA12C;
 Tue, 18 Feb 2020 21:36:56 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Deus Max <deusmax@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN>
 <875zg6kuue.fsf@HIDDEN> <877e0jwtx8.fsf@HIDDEN>
Date: Tue, 18 Feb 2020 13:36:55 -0800
In-Reply-To: <877e0jwtx8.fsf@HIDDEN> (Deus Max's message of "Tue, 18
 Feb 2020 21:56:51 +0200")
Message-ID: <87eeur4lxk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 02/18/20 21:56 PM, Deus Max wrote:
> On Sun, Feb 16 2020, Eric Abrahamsen wrote:
>
>> Deus Max <deusmax@HIDDEN> writes:
>>
>>> Recently my gnus started displaying (in the *Group* buffer) some groups
>>> (which had previously no unread articles) with an unread "ghost" article
>>> but which groups could not be normally entered.
>>>
>>> Here is a description of what I observed:
>>>
>>> 1. When pressing <Return>, the cursor simply moves on to the next group
>>>    line. The number of unread articles remains unchanged and non-zero.
>>> 2. When pressing <c> for `gnus-group-catchup-current', the unread
>>>    article number becomes zero and upon <Return>, all read articles are
>>>    displayed in the group. Upon exit from the group, upon "g"
>>>    gnus-refresh the "ghost" unread article reappears.
>>>
>>> Luckily, this being nnimap the situation can be recovered by removing
>>> the .newsrc files and restarting gnus from scratch. This is not optimal,
>>> as all other relevant configurations will be lost, such as group levels,
>>> etc.
>>>
>>> This issue has happened before, it is not the first time.
>>
>> This definitely happens to many of us from time to time. Unfortunately I
>> can't really reproduce the problem, as by the time it appears it's too
>> late to figure out where it came from, though I assume it has to do with
>> Gnus calculating unread messages from a high-low range, and not being
>> aware of "filled in" read messages within that range.
>>
> You think this is a nnimap or a general Gnus issue ?

I don't know. I suspect that it's a general Gnus issue, but it is more
evident with nnimap, since that's pretty much the only (?) server where
local marks must be kept in sync with a remote server. In principle,
there's no reason why Gnus would need to keep local marks for imap
groups.

> Understanding how the newsrc file is written, should be next for me.

It's just, with their lists of marks. The lists are in "gnus range"
format (see gnus-range.el), which is just a compressed list of integers:
'(1 2 3 4 6 12 21 22 23) => '((1. 4) 6 12 (21. 23))

They are treated as sets, with lots of the usual set manipulation
functions in gnus-range.el. Part of the problem is the direct
manipulation of ranges that happens elsewhere in the codebase, typically
impenetrable thickets of "(setcdr (nthcdr 3 range) (cadar range)" etc
etc, often with little or no comments.

On my (long) list of things to do with Gnus is to write several more
macros for range manipulation, so that all the messy stuff happens
inside gnus-range.el, and the rest of the codebase is fairly readable.
My hope is that, in the course of that process, bugs will show
themselves up.

> Is there any type of tracing, or profiling to turn on, until this
> happens again ? Maybe set the gnus and back-end log levels to 10 ?

Nothing that would show you anything about range manipulation, I don't
think.

> The primary thing a mail, em..sorry.. news-reader, should be is stable.
> Not to have any corruption issues.

No argument here...

>> In the meantime, is "M-g" on the problematic group(s) enough to
>> permanently fix the problem? Not a great solution, though better than
>> doctoring your .newsrc.eld file...
>
> No difference. On testing your suggestion, the "M-g" was ignored as
> was/is the regular "g".

Sorry, I don't know where else to look. My only solution is the hard
one: clean up range manipulation until we can see what's going on.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 18 Feb 2020 19:57:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 18 14:57:16 2020
Received: from localhost ([127.0.0.1]:41306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j48zc-0002cW-2q
	for submit <at> debbugs.gnu.org; Tue, 18 Feb 2020 14:57:16 -0500
Received: from mout.gmx.net ([212.227.17.20]:45639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deusmax@HIDDEN>) id 1j48zZ-0002cI-Ul
 for 39618 <at> debbugs.gnu.org; Tue, 18 Feb 2020 14:57:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1582055818;
 bh=Pn9dGbq0Iymi6JdGxLaPOCWQkayre9pNO+Aq0d+8qPg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=SD0Fe/RxOMVs20lajST/6RC+5PNTrS531U9SuaIQ2DYDKbquMcxWUO4lyT81SOjQb
 C62MTbtngydSYCb0fChZhE6SP4yrGYsMURCNPrhDu64uVlJ+d+104gHeYp1YhCOJZK
 zZAZV1mJ63qKDAN2v+IaCB8FQ+FysqTrTjkid4U8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from dellcorei5dias ([5.54.155.167]) by mail.gmx.com (mrgmx105
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1MuUnK-1jMMax2sOg-00rYkh; Tue, 18
 Feb 2020 20:56:57 +0100
From: Deus Max <deusmax@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN> <875zg6kuue.fsf@HIDDEN>
Date: Tue, 18 Feb 2020 21:56:51 +0200
In-Reply-To: <875zg6kuue.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sun, 16 Feb 2020 14:53:13 -0800")
Message-ID: <877e0jwtx8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:YOik71370EakLRVv5yLiNcQ1J46labvUC+iH/LdUUW3Lc22jWg0
 tTK3gCSFZ7l5BGuS8oO52ir0G7Q9l3oTT9BqqAdKlMLEfRml/u3ulinr3ZMaaZy5i6KNOhR
 unsDUEiMHPbqu/zFyhAfZenU31lEZlrFSeqnac3otUueym5jxEG+sxn1NWP9Qmnzn2VRUXa
 BM9mEnvS64WDp68WtrmHQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Mlqn4FGMDVU=:TgC0PGmMj9ml+CMX/YaDGf
 n7yyUWRFMZc4FzNEapciXBzlPqCFuoOFIW8pnE7GQn5ajTZddujXt0f9TVgLtk6QA7JAZlpb5
 dK1dUSg+/rwVy3osvRr5Qby4SqtUDZr8Hn6nGk1PxN6EAoS5MMsaAYR6Ed8fEITqHVzND/4g3
 FamFvz9G4PSIYWwdtZOekD3kGULkNz4iiTwZKPDHwlTcdd5H9GavPO4u2fUqWT2/qeoYdoanq
 MPBxm0xe6312JY9m4uJL3ZR1sKcGcR5MQdcdlVshwzk1jL9yrRPs2Av2RfNIvVuTf1CuRBu9K
 be4MIedanwBYfGzKDOIJlgJMFHTQTlv61Te3zdx65cP7ZMktj90Ow4nqeobbxdn6uDxxDYGS2
 USXqCpGoDEOlu/qnr6iSsV6lG0rL6MjYfZAKeBJGbU+e45sof+4aE5bb8E9w+1yTAgP3I8KVN
 lNjPXIY5ypdXkHKnyefzVFWtzqvGm2osORbtzkL+DgU9oztepxs+/p0v/AmMI9RDf+CH3H9JV
 Pp7PsGMA/lhvbRt1k1KvqSLTtcVbPbdRVNDyrJ/srhGLeSt0uxeE7MpPOJ32NZCjVt2Q/6phI
 GHJnevl+1u8UzHgiKEg/ELQcCyCevADQ4gULKcLstPUUuAL5rKcuYqJrYziPv3ZYEZ0w6KGN/
 PMosfNfEkbbKFG0YMS3dy99PQQpQ49KgW9IKWnFr7eq195jDWtvgREkEKMDZ1Zd0Tfn8JdMgk
 h7pR7lVO5Z5EKiYwF7494zAaCv+UrF4lTwAr9yZ1dPp2y2bXNF7OXTQQxhpoK71221uVn+Pwm
 x32uytWVUdQuiM7XwCNqkHvdaBVa/UeLzaSQEKUIFzZb8Zsqt8MS/Rz4Z1HgTQ1f2t5EZJMSO
 WsOxV+WpgNZ/Xs3bXPCj9Uy4JWsX7ZtYlVX9D1jKYc4bg41vHEac6sUYNSFVgQzSgpkue9MQm
 wAepbLyS/Uft5w5UpaV6BP9+c23dCVLMCUc4UhqMF1yR6D3hf7em/4+h8SkfpoibfrAjWB76W
 y/qn2rfpnp57Uknr/1JqaHlDexeM2bYvrrijz+SsvHnnvNZgmRlxWRTYwH5UUe7379vZgbB5w
 Y2t7p0lYOHVbqhBrRPuQg74kmN6qA/zqxKN1mX6Cc4jDkhfEetVoMnwQn2vITkjA2xeKJ1lh2
 /MhDKRARr58il5u8kTxF8UYLyEnoITkNpSx9Kq/iktnMMkLwiaB5NcaUd0MPziKCC7/985pw+
 7NliDTF1GplY012Tg
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Feb 16 2020, Eric Abrahamsen wrote:

> Deus Max <deusmax@HIDDEN> writes:
>
>> Recently my gnus started displaying (in the *Group* buffer) some groups
>> (which had previously no unread articles) with an unread "ghost" article
>> but which groups could not be normally entered.
>>
>> Here is a description of what I observed:
>>
>> 1. When pressing <Return>, the cursor simply moves on to the next group
>>    line. The number of unread articles remains unchanged and non-zero.
>> 2. When pressing <c> for `gnus-group-catchup-current', the unread
>>    article number becomes zero and upon <Return>, all read articles are
>>    displayed in the group. Upon exit from the group, upon "g"
>>    gnus-refresh the "ghost" unread article reappears.
>>
>> Luckily, this being nnimap the situation can be recovered by removing
>> the .newsrc files and restarting gnus from scratch. This is not optimal,
>> as all other relevant configurations will be lost, such as group levels,
>> etc.
>>
>> This issue has happened before, it is not the first time.
>
> This definitely happens to many of us from time to time. Unfortunately I
> can't really reproduce the problem, as by the time it appears it's too
> late to figure out where it came from, though I assume it has to do with
> Gnus calculating unread messages from a high-low range, and not being
> aware of "filled in" read messages within that range.
>
You think this is a nnimap or a general Gnus issue ?

Understanding how the newsrc file is written, should be next for me.

Is there any type of tracing, or profiling to turn on, until this
happens again ? Maybe set the gnus and back-end log levels to 10 ?

The primary thing a mail, em..sorry.. news-reader, should be is stable.
Not to have any corruption issues.


> In the meantime, is "M-g" on the problematic group(s) enough to
> permanently fix the problem? Not a great solution, though better than
> doctoring your .newsrc.eld file...

No difference. On testing your suggestion, the "M-g" was ignored as
was/is the regular "g".





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at 39618 <at> debbugs.gnu.org:


Received: (at 39618) by debbugs.gnu.org; 16 Feb 2020 22:53:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 16 17:53:22 2020
Received: from localhost ([127.0.0.1]:37835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j3Smw-0001fH-JO
	for submit <at> debbugs.gnu.org; Sun, 16 Feb 2020 17:53:22 -0500
Received: from ericabrahamsen.net ([52.70.2.18]:35828
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1j3Smu-0001f3-Sk
 for 39618 <at> debbugs.gnu.org; Sun, 16 Feb 2020 17:53:21 -0500
Received: from localhost (97-113-55-18.tukw.qwest.net [97.113.55.18])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id F115DFA095;
 Sun, 16 Feb 2020 22:53:14 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Deus Max <deusmax@HIDDEN>
Subject: Re: bug#39618: 28.0.50; gnus nnimap reports more group articles
 than actually exist
References: <877e0nlkk6.fsf@HIDDEN>
Date: Sun, 16 Feb 2020 14:53:13 -0800
In-Reply-To: <877e0nlkk6.fsf@HIDDEN> (Deus Max's message of "Sat, 15
 Feb 2020 21:25:29 +0200")
Message-ID: <875zg6kuue.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39618
Cc: 39618 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Deus Max <deusmax@HIDDEN> writes:

> Recently my gnus started displaying (in the *Group* buffer) some groups
> (which had previously no unread articles) with an unread "ghost" article
> but which groups could not be normally entered.
>
> Here is a description of what I observed:
>
> 1. When pressing <Return>, the cursor simply moves on to the next group
>    line. The number of unread articles remains unchanged and non-zero.
> 2. When pressing <c> for `gnus-group-catchup-current', the unread
>    article number becomes zero and upon <Return>, all read articles are
>    displayed in the group. Upon exit from the group, upon "g"
>    gnus-refresh the "ghost" unread article reappears.
>
> Luckily, this being nnimap the situation can be recovered by removing
> the .newsrc files and restarting gnus from scratch. This is not optimal,
> as all other relevant configurations will be lost, such as group levels,
> etc.
>
> This issue has happened before, it is not the first time.

This definitely happens to many of us from time to time. Unfortunately I
can't really reproduce the problem, as by the time it appears it's too
late to figure out where it came from, though I assume it has to do with
Gnus calculating unread messages from a high-low range, and not being
aware of "filled in" read messages within that range.

In the meantime, is "M-g" on the problematic group(s) enough to
permanently fix the problem? Not a great solution, though better than
doctoring your .newsrc.eld file...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Feb 2020 19:25:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 15 14:25:59 2020
Received: from localhost ([127.0.0.1]:36396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j334f-0002q2-SX
	for submit <at> debbugs.gnu.org; Sat, 15 Feb 2020 14:25:59 -0500
Received: from lists.gnu.org ([209.51.188.17]:49062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deusmax@HIDDEN>) id 1j334c-0002pu-UJ
 for submit <at> debbugs.gnu.org; Sat, 15 Feb 2020 14:25:56 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36887)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <deusmax@HIDDEN>) id 1j334W-0001sC-B5
 for bug-gnu-emacs@HIDDEN; Sat, 15 Feb 2020 14:25:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <deusmax@HIDDEN>) id 1j334R-0004yl-MM
 for bug-gnu-emacs@HIDDEN; Sat, 15 Feb 2020 14:25:48 -0500
Received: from mout.gmx.net ([212.227.17.22]:55209)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <deusmax@HIDDEN>) id 1j334O-0004sP-Un
 for bug-gnu-emacs@HIDDEN; Sat, 15 Feb 2020 14:25:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1581794735;
 bh=Mc3hH8934rmLeI2XKowqKO3mG2pJbOl94g/hA9ukfmo=;
 h=X-UI-Sender-Class:From:To:Subject:Date;
 b=V8jbVbcYDg8OHKb1aEPZR+LZbiNB6EC/08vlp+WaguYr/c/EpxMgFhxkgmKU5sCkz
 yl58fG5/ItkRn8ybTsLIxlxwfj66XgAcO67BF20P433wPc/p+MO99eIviyqoaPKBWP
 HBaB98yhUcUuL1Ae4nig+PWHYY7UxXg0MqjshHxU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from dellcorei5dias ([5.54.155.167]) by mail.gmx.com (mrgmx105
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1MStCY-1itfg901QU-00UMXb for
 <bug-gnu-emacs@HIDDEN>; Sat, 15 Feb 2020 20:25:35 +0100
From: Deus Max <deusmax@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; gnus nnimap reports more group articles than actually exist
Date: Sat, 15 Feb 2020 21:25:29 +0200
Message-ID: <877e0nlkk6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:fu9EMcbDCgDlAh61cDQYyKgUOCcxrlD773nGNcO4SxqztrcQYqt
 iVu01piVpoal+HQv4aosmigsh4V7eeza0SpRwJPAsOMYaJAmZHtqEbqq6XpBJWcVoCpDQwx
 geiiWJs3QB5W3gtzGgGqHxo33D1AX64ErQpUtSQ+xRocYhfS0L+tXUxhtYcVrRt1Gs4eZLL
 qJO3wc82NFPGUpkhwVf7A==
X-UI-Out-Filterresults: notjunk:1;V03:K0:/rEBbOewCsU=:RKO0X+N/R/+K5/5giYbxF5
 jkh7NDHWOJX0R+OZgAF94p/iz+WGoQC3L50f3waaloEFD2eVuzkAChneFNkDBtiJ5zcBCdk8v
 ECGf4ZbLdelWRAXL/5IsVv7fYo2rw1gyeQ5Pr9nZgoKMmvDgwB6N8PdCEF0WTOnZPQevcUfaY
 24QXUg2ug22pa1+RhIrz6pTOrRo1roj94xGVZDdYGGR0Up7LTJKzVcgjr2giXq6gu/AiFRJd6
 An3ZddKJP8UYp0BaQUlsJwozDLBe9ojNksx7ERWYqql3xSFuBLsh78jyJguBGQ8u/UP+T8aIf
 KcdsfmK/se2/lWpDw3gGt/9+dyA0ZKoK+ZXgz8uds6fGRTDUZs92xKam1Aq7/HZV/iM30foST
 QsjRxpePQkJODXpJaSHp6CKjE0aTfNqrbBtkLGtcqTPilmzUAMKkTGC/M0sgeKb15qlLunATM
 SdZDKHgpH0t+IXxxTnqqpEuDwaV45HkSWvv4ntbUGgVO2i1eBa73gshX54xCJX+t99W7ABCFK
 nvKlt4pILGn4O/CuErdrGYP98F3bvZdjkPbah80eCy6bVGCnrMGtQEU11a5yItUDJb0RENrS+
 WdLtncZTvbOwaV3kEU2Htp0Pp8309rJj/GIM2EQxHzC4coH5plqziXF6GQiM1teXNYo7TEz6k
 LL0PCtCpToNNQlnnzwLqU3+4s+455deAO5xgU/VefLl24fj24yxTuHBlNEDVNlZRABFzVCrHZ
 g6LmEA4A7Of6MsFCKo4DSlzdEjBM28joaMo02A5sKGZJNh8aueVcKLahLuZywfcFAi/r2IVyY
 dGeLh8l2RupWSY+7pYwGqTqj30Vdexj2Af/tSyNrtAWCuHtkavuEZ8q+0cAaJZaKwVwKFfgv9
 /Kqf2/KK0hPfUPsBrzydVP5ZJdrvCvA4IrS4nOiaA3ECsED8zSggIG1XQx1WY9NJoQ0oARc6L
 /wAVMtjaDenCr9bd9RfKe8NiQl+w3uQrrWYo7NAH/MHpX7LtWFA0gFtJBYyJgm6v3dAs7K5F3
 RVNUJnEwjaB15nABZjQo8LXGeSK+qcNVZfqcqme6k81yIXgZfJRsd4LzffJ64py1sWS6nf9E1
 1AHxjjNBA8DpgzBrF9nbFe4tMAgK94jUSHyQk1Qq2AyZR7FbDxP5AAPU3vFcrUgfz+ImtmTFg
 EilNUSTkOvcxGCQIhXlmBdiXEvjhYg6VBp+3WnUCYKD+tzdV+YBFVOPpxuW9VBjQPFayxCqEz
 bUTpA+bYNj6HyFqTS
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.17.22
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Recently my gnus started displaying (in the *Group* buffer)
 some groups (which had previously no unread articles) with an unread "ghost"
 article but which groups could not be normally entered. Here is a description
 of what I observed: 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (deusmax[at]gmx.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=deusmax%40gmx.com; ip=209.51.188.17; r=debbugs.gnu.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


Recently my gnus started displaying (in the *Group* buffer) some groups
(which had previously no unread articles) with an unread "ghost" article
but which groups could not be normally entered.

Here is a description of what I observed:

1. When pressing <Return>, the cursor simply moves on to the next group
   line. The number of unread articles remains unchanged and non-zero.
2. When pressing <c> for `gnus-group-catchup-current', the unread
   article number becomes zero and upon <Return>, all read articles are
   displayed in the group. Upon exit from the group, upon "g"
   gnus-refresh the "ghost" unread article reappears.

Luckily, this being nnimap the situation can be recovered by removing
the .newsrc files and restarting gnus from scratch. This is not optimal,
as all other relevant configurations will be lost, such as group levels,
etc.

This issue has happened before, it is not the first time.

Attached are samples of 4 problematic groups in the newsrc.eld-problem fil=
e.
For example the "Bitcoin" group, the problem shows as.,
    - Total num articles: 42
    - unexist: 43
    - active: (active 1 . 43)

Similar with others.
The "Rent" group exhibits 4 "ghost" articles, the other groups 1.

It would be interesting to know:
  1. how such a thing can happen ?
  2. how can the situation be recovered without throwing all info out ?

Hopefully, this may contribute to making .newsrc and gnus more robust.



--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=newsrc.eld-problem.el
Content-Transfer-Encoding: quoted-printable
Content-Description: newsrc groups with problem

;; -*- mode:emacs-lisp; coding: utf-8-emacs; -*-
;; Gnus startup file.
;; Never delete this file -- if you want to force Gnus to read the
;; .newsrc file (if you have one), touch .newsrc instead.
(setq gnus-newsrc-file-version "Gnus v5.13")

(setq gnus-newsrc-last-checked-date '"Tue, 04 Feb 2020 00:57:24 +0200")

(setq gnus-newsrc-alist
      '(
        ("nnimap+gmx:BitCoin" 3 ((1 . 42)) ((reply 31) (unexist 43)) "nnima=
p:gmx" ((modseq) (uidvalidity . "1") (active 1 . 43) (permanent-flags %Answ=
ered %Flagged %Draft %Deleted %Seen %*)))
        ("nnimap+gmx:Dias/Accounts" 3 ((1 . 47)) ((reply 19) (unexist 48) (=
seen (1 . 47))) "nnimap:gmx" ((modseq) (uidvalidity . "1543161023") (active=
 1 . 48) (permanent-flags %Answered %Flagged %Draft %Deleted %Seen %*)))
        ("nnimap+gmx:Family" 3 ((1 . 18)) ((reply 5 9 13) (unexist (1 . 2) =
19)) "nnimap:gmx" ((modseq) (uidvalidity . "1") (active 1 . 19) (permanent-=
flags %Answered %Flagged %Draft %Deleted %Seen %*)))
        ("nnimap+gmx:Rent" 3 nil ((unexist (1 . 4))) "nnimap:gmx" ((modseq)=
 (uidvalidity . "1") (active 1 . 4) (permanent-flags %Answered %Flagged %Dr=
aft %Deleted %Seen %*)))
        ))

(setq gnus-server-alist
      '(("archive" nnfolder "nnimap" (nnfolder-directory "~/Mail/nnimap") (=
nnfolder-active-file "~/Mail/nnimap/active") (nnfolder-get-new-mail nil) (n=
nfolder-inhibit-expiry t))))

--=-=-=
Content-Type: application/emacs-lisp
Content-Disposition: attachment; filename=newsrc.eld-restart.el
Content-Transfer-Encoding: quoted-printable
Content-Description: newsrc groups good

;; -*- mode:emacs-lisp; coding: utf-8-emacs; -*-
;; Gnus startup file.
;; Never delete this file -- if you want to force Gnus to read the
;; .newsrc file (if you have one), touch .newsrc instead.
(setq gnus-newsrc-file-version "Gnus v5.13")

(setq gnus-newsrc-last-checked-date '"Tue, 04 Feb 2020 01:00:21 +0200")

(setq gnus-newsrc-alist
      '(
        ("nnimap+gmx:BitCoin" 3 ((1 . 42)) ((unexist) (reply 31)) "nnimap:g=
mx" ((modseq) (uidvalidity . "1") (active 1 . 42) (permanent-flags %Answere=
d %Flagged %Draft %Deleted %Seen %*)))
        ("nnimap+gmx:Dias/Accounts" 3 ((1 . 47)) ((unexist) (reply 19)) "nn=
imap:gmx" ((modseq) (uidvalidity . "1543161023") (active 1 . 47) (permanent=
-flags %Answered %Flagged %Draft %Deleted %Seen %*)))
        ("nnimap+gmx:Family" 3 ((1 . 18)) ((unexist (1 . 2)) (reply 5 9 13)=
) "nnimap:gmx" ((modseq) (uidvalidity . "1") (active 1 . 18) (permanent-fla=
gs %Answered %Flagged %Draft %Deleted %Seen %*)))
        ("nnimap+gmx:Rent" 3 nil ((unexist)) "nnimap:gmx" ((modseq) (uidval=
idity . "1") (active 1 . 0) (permanent-flags %Answered %Flagged %Draft %Del=
eted %Seen %*)))
        ))


(setq gnus-server-alist '(("archive" nnfolder "nnimap" (nnfolder-directory =
"~/Mail/nnimap") (nnfolder-active-file "~/Mail/nnimap/active") (nnfolder-ge=
t-new-mail nil) (nnfolder-inhibit-expiry t))))




--=-=-=
Content-Type: text/plain




In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.12, cairo version 1.16.0)
 of 2020-02-05 built on dellcorei5dias
Repository revision: 271728c52295f3b01a2c8cc6c43dba2793ac7800
Repository branch: unify-select-methods
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
Mark set [4 times]
Saving file /home/deusmax/newsrc.eld-problem.el...
Wrote /home/deusmax/newsrc.eld-problem.el
Mark set [6 times]
Saving file /home/deusmax/newsrc.eld-restart.el...
Wrote /home/deusmax/newsrc.eld-restart.el
Saving file /home/deusmax/newsrc.eld-restart.el...
Wrote /home/deusmax/newsrc.eld-restart.el
Saving file /home/deusmax/newsrc.eld-problem.el...
Wrote /home/deusmax/newsrc.eld-problem.el

Configured using:
 'configure --with-x-toolkit=gtk3 -with-dbus --with-cairo --with-modules
 --with-file-notification=yes --with-xwidgets --without-selinux
 'CFLAGS=-O2 -s''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  treemacs-filewatch-mode: t
  treemacs-fringe-indicator-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: deferred
  recentf-mode: t
  paredit-mode: t
  helm-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  async-bytecomp-package-mode: t
  mode-icons-mode: t
  global-hl-line-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  midnight-mode: t
  electric-pair-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/deusmax/.emacs.d/elpa/org-20200213/ob-tangle hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-tangle
/home/deusmax/.emacs.d/elpa/org-20200213/org hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org
/home/deusmax/.emacs.d/elpa/org-20200213/org-clock hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-clock
/home/deusmax/.emacs.d/elpa/org-20200213/org-install hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-install
/home/deusmax/.emacs.d/elpa/org-20200213/ob-octave hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-octave
/home/deusmax/.emacs.d/elpa/org-20200213/org-indent hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-indent
/home/deusmax/.emacs.d/elpa/org-20200213/ol-eshell hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-eshell
/home/deusmax/.emacs.d/elpa/org-20200213/ox-org hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-org
/home/deusmax/.emacs.d/elpa/org-20200213/ob-eshell hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-eshell
/home/deusmax/.emacs.d/elpa/org-20200213/ob-processing hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-processing
/home/deusmax/.emacs.d/elpa/org-20200213/org-version hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-version
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ref hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-ref
/home/deusmax/.emacs.d/elpa/org-20200213/org-num hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-num
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lua hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-lua
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sed hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-sed
/home/deusmax/.emacs.d/elpa/org-20200213/ob-exp hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-exp
/home/deusmax/.emacs.d/elpa/org-20200213/ol-docview hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-docview
/home/deusmax/.emacs.d/elpa/org-20200213/ox-html hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-html
/home/deusmax/.emacs.d/elpa/org-20200213/ox hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox
/home/deusmax/.emacs.d/elpa/org-20200213/ob-plantuml hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-plantuml
/home/deusmax/.emacs.d/elpa/org-20200213/org-faces hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-faces
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sass hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-sass
/home/deusmax/.emacs.d/elpa/org-20200213/ob-coq hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-coq
/home/deusmax/.emacs.d/elpa/org-20200213/org-mouse hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-mouse
/home/deusmax/.emacs.d/elpa/org-20200213/org-keys hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-keys
/home/deusmax/.emacs.d/elpa/org-20200213/org-pcomplete hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-pcomplete
/home/deusmax/.emacs.d/elpa/org-20200213/ob-latex hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-latex
/home/deusmax/.emacs.d/elpa/org-20200213/ob-css hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-css
/home/deusmax/.emacs.d/elpa/org-20200213/ob-gnuplot hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-gnuplot
/home/deusmax/.emacs.d/elpa/org-20200213/ox-texinfo hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-texinfo
/home/deusmax/.emacs.d/elpa/org-20200213/org-crypt hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-crypt
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ebnf hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-ebnf
/home/deusmax/.emacs.d/elpa/org-20200213/org-feed hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-feed
/home/deusmax/.emacs.d/elpa/org-20200213/ob-C hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-C
/home/deusmax/.emacs.d/elpa/org-20200213/ob-perl hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-perl
/home/deusmax/.emacs.d/elpa/org-20200213/ox-latex hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-latex
/home/deusmax/.emacs.d/elpa/org-20200213/ob-comint hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-comint
/home/deusmax/.emacs.d/elpa/org-20200213/ob-table hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-table
/home/deusmax/.emacs.d/elpa/org-20200213/org-agenda hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-agenda
/home/deusmax/.emacs.d/elpa/org-20200213/ox-man hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-man
/home/deusmax/.emacs.d/elpa/org-20200213/org-footnote hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-footnote
/home/deusmax/.emacs.d/elpa/org-20200213/ox-md hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-md
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ledger hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-ledger
/home/deusmax/.emacs.d/elpa/org-20200213/ob-abc hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-abc
/home/deusmax/.emacs.d/elpa/org-20200213/ob-io hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-io
/home/deusmax/.emacs.d/elpa/org-20200213/org-attach-git hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-attach-git
/home/deusmax/.emacs.d/elpa/org-20200213/ob-hledger hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-hledger
/home/deusmax/.emacs.d/elpa/org-20200213/ob-maxima hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-maxima
/home/deusmax/.emacs.d/elpa/org-20200213/org-plot hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-plot
/home/deusmax/.emacs.d/elpa/org-20200213/org-duration hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-duration
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ocaml hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-ocaml
/home/deusmax/.emacs.d/elpa/org-20200213/org-archive hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-archive
/home/deusmax/.emacs.d/elpa/org-20200213/ob-dot hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-dot
/home/deusmax/.emacs.d/elpa/org-20200213/ob-mscgen hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-mscgen
/home/deusmax/.emacs.d/elpa/org-20200213/ol hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol
/home/deusmax/.emacs.d/elpa/org-20200213/org-habit hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-habit
/home/deusmax/.emacs.d/elpa/org-20200213/ol-rmail hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-rmail
/home/deusmax/.emacs.d/elpa/org-20200213/ol-mhe hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-mhe
/home/deusmax/.emacs.d/elpa/org-20200213/ox-icalendar hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-icalendar
/home/deusmax/.emacs.d/elpa/org-20200213/ob-java hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-java
/home/deusmax/.emacs.d/elpa/org-20200213/org-mobile hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-mobile
/home/deusmax/.emacs.d/elpa/org-20200213/org-attach hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-attach
/home/deusmax/.emacs.d/elpa/org-20200213/org-macro hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-macro
/home/deusmax/.emacs.d/elpa/org-20200213/ob-asymptote hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-asymptote
/home/deusmax/.emacs.d/elpa/org-20200213/ob-calc hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-calc
/home/deusmax/.emacs.d/elpa/org-20200213/ob-js hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-js
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sql hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-sql
/home/deusmax/.emacs.d/elpa/org-20200213/ob-clojure hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-clojure
/home/deusmax/.emacs.d/elpa/org-20200213/ob-shen hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-shen
/home/deusmax/.emacs.d/elpa/org-20200213/ox-odt hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-odt
/home/deusmax/.emacs.d/elpa/org-20200213/ob-stan hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-stan
/home/deusmax/.emacs.d/elpa/org-20200213/ox-beamer hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-beamer
/home/deusmax/.emacs.d/elpa/org-20200213/ob-shell hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-shell
/home/deusmax/.emacs.d/elpa/org-20200213/ob hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob
/home/deusmax/.emacs.d/elpa/org-20200213/ob-forth hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-forth
/home/deusmax/.emacs.d/elpa/org-20200213/org-entities hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-entities
/home/deusmax/.emacs.d/elpa/org-20200213/org-timer hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-timer
/home/deusmax/.emacs.d/elpa/org-20200213/ol-bibtex hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-bibtex
/home/deusmax/.emacs.d/elpa/org-20200213/ob-scheme hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-scheme
/home/deusmax/.emacs.d/elpa/org-20200213/ox-publish hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-publish
/home/deusmax/.emacs.d/elpa/org-20200213/ob-eval hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-eval
/home/deusmax/.emacs.d/elpa/org-20200213/org-src hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-src
/home/deusmax/.emacs.d/elpa/org-20200213/org-macs hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-macs
/home/deusmax/.emacs.d/elpa/org-20200213/ox-ascii hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ox-ascii
/home/deusmax/.emacs.d/elpa/org-20200213/ol-eww hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-eww
/home/deusmax/.emacs.d/elpa/org-20200213/ob-core hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-core
/home/deusmax/.emacs.d/elpa/org-20200213/org-inlinetask hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-inlinetask
/home/deusmax/.emacs.d/elpa/org-20200213/org-capture hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-capture
/home/deusmax/.emacs.d/elpa/org-20200213/ob-haskell hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-haskell
/home/deusmax/.emacs.d/elpa/org-20200213/org-datetree hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-datetree
/home/deusmax/.emacs.d/elpa/org-20200213/ob-groovy hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-groovy
/home/deusmax/.emacs.d/elpa/org-20200213/ob-emacs-lisp hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-emacs-lisp
/home/deusmax/.emacs.d/elpa/org-20200213/org-protocol hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-protocol
/home/deusmax/.emacs.d/elpa/org-20200213/ob-awk hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-awk
/home/deusmax/.emacs.d/elpa/org-20200213/org-lint hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-lint
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lilypond hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-lilypond
/home/deusmax/.emacs.d/elpa/org-20200213/org-id hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-id
/home/deusmax/.emacs.d/elpa/org-20200213/ob-picolisp hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-picolisp
/home/deusmax/.emacs.d/elpa/org-20200213/ob-screen hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-screen
/home/deusmax/.emacs.d/elpa/org-20200213/ob-fortran hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-fortran
/home/deusmax/.emacs.d/elpa/org-20200213/ol-bbdb hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-bbdb
/home/deusmax/.emacs.d/elpa/org-20200213/ob-matlab hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-matlab
/home/deusmax/.emacs.d/elpa/org-20200213/org-colview hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-colview
/home/deusmax/.emacs.d/elpa/org-20200213/ob-python hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-python
/home/deusmax/.emacs.d/elpa/org-20200213/ol-irc hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-irc
/home/deusmax/.emacs.d/elpa/org-20200213/org-compat hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-compat
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lisp hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-lisp
/home/deusmax/.emacs.d/elpa/org-20200213/org-list hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-list
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sqlite hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-sqlite
/home/deusmax/.emacs.d/elpa/org-20200213/ob-J hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-J
/home/deusmax/.emacs.d/elpa/org-20200213/ol-gnus hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-gnus
/home/deusmax/.emacs.d/elpa/org-20200213/ob-makefile hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-makefile
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ditaa hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-ditaa
/home/deusmax/.emacs.d/elpa/org-20200213/ob-R hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-R
/home/deusmax/.emacs.d/elpa/org-20200213/ob-org hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-org
/home/deusmax/.emacs.d/elpa/org-20200213/org-goto hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-goto
/home/deusmax/.emacs.d/elpa/org-20200213/org-table hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-table
/home/deusmax/.emacs.d/elpa/org-20200213/ol-w3m hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-w3m
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ruby hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-ruby
/home/deusmax/.emacs.d/elpa/org-20200213/org-ctags hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-ctags
/home/deusmax/.emacs.d/elpa/org-20200213/ol-info hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ol-info
/home/deusmax/.emacs.d/elpa/org-20200213/org-element hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-element
/home/deusmax/.emacs.d/elpa/org-20200213/ob-vala hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-vala
/home/deusmax/.emacs.d/elpa/org-20200213/org-tempo hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-tempo
/home/deusmax/.emacs.d/elpa/org-20200213/org-loaddefs hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/org-loaddefs
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lob hides /home/deusmax/.emacs.d/elpa/org-plus-contrib-20200213/ob-lob
/home/deusmax/.emacs.d/elpa/auth-source-pass-20191126.1242/auth-source-pass hides /usr/local/share/emacs/28.0.50/lisp/auth-source-pass
/home/deusmax/.emacs.d/elpa/org-20200213/ob-tangle hides /usr/local/share/emacs/28.0.50/lisp/org/ob-tangle
/home/deusmax/.emacs.d/elpa/org-20200213/ox-publish hides /usr/local/share/emacs/28.0.50/lisp/org/ox-publish
/home/deusmax/.emacs.d/elpa/org-20200213/org hides /usr/local/share/emacs/28.0.50/lisp/org/org
/home/deusmax/.emacs.d/elpa/org-20200213/org-clock hides /usr/local/share/emacs/28.0.50/lisp/org/org-clock
/home/deusmax/.emacs.d/elpa/org-20200213/org-install hides /usr/local/share/emacs/28.0.50/lisp/org/org-install
/home/deusmax/.emacs.d/elpa/org-20200213/ob-octave hides /usr/local/share/emacs/28.0.50/lisp/org/ob-octave
/home/deusmax/.emacs.d/elpa/org-20200213/org-compat hides /usr/local/share/emacs/28.0.50/lisp/org/org-compat
/home/deusmax/.emacs.d/elpa/org-20200213/org-indent hides /usr/local/share/emacs/28.0.50/lisp/org/org-indent
/home/deusmax/.emacs.d/elpa/org-20200213/ol-eshell hides /usr/local/share/emacs/28.0.50/lisp/org/ol-eshell
/home/deusmax/.emacs.d/elpa/org-20200213/ob-shen hides /usr/local/share/emacs/28.0.50/lisp/org/ob-shen
/home/deusmax/.emacs.d/elpa/org-20200213/org-mouse hides /usr/local/share/emacs/28.0.50/lisp/org/org-mouse
/home/deusmax/.emacs.d/elpa/org-20200213/ob-forth hides /usr/local/share/emacs/28.0.50/lisp/org/ob-forth
/home/deusmax/.emacs.d/elpa/org-20200213/org-goto hides /usr/local/share/emacs/28.0.50/lisp/org/org-goto
/home/deusmax/.emacs.d/elpa/org-20200213/ob-asymptote hides /usr/local/share/emacs/28.0.50/lisp/org/ob-asymptote
/home/deusmax/.emacs.d/elpa/org-20200213/ob-processing hides /usr/local/share/emacs/28.0.50/lisp/org/ob-processing
/home/deusmax/.emacs.d/elpa/org-20200213/org-element hides /usr/local/share/emacs/28.0.50/lisp/org/org-element
/home/deusmax/.emacs.d/elpa/org-20200213/ox-icalendar hides /usr/local/share/emacs/28.0.50/lisp/org/ox-icalendar
/home/deusmax/.emacs.d/elpa/org-20200213/org-version hides /usr/local/share/emacs/28.0.50/lisp/org/org-version
/home/deusmax/.emacs.d/elpa/org-20200213/org-num hides /usr/local/share/emacs/28.0.50/lisp/org/org-num
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lua hides /usr/local/share/emacs/28.0.50/lisp/org/ob-lua
/home/deusmax/.emacs.d/elpa/org-20200213/org-ctags hides /usr/local/share/emacs/28.0.50/lisp/org/org-ctags
/home/deusmax/.emacs.d/elpa/org-20200213/ol-rmail hides /usr/local/share/emacs/28.0.50/lisp/org/ol-rmail
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sqlite hides /usr/local/share/emacs/28.0.50/lisp/org/ob-sqlite
/home/deusmax/.emacs.d/elpa/org-20200213/ox-html hides /usr/local/share/emacs/28.0.50/lisp/org/ox-html
/home/deusmax/.emacs.d/elpa/org-20200213/org-feed hides /usr/local/share/emacs/28.0.50/lisp/org/org-feed
/home/deusmax/.emacs.d/elpa/org-20200213/ob-plantuml hides /usr/local/share/emacs/28.0.50/lisp/org/ob-plantuml
/home/deusmax/.emacs.d/elpa/org-20200213/org-faces hides /usr/local/share/emacs/28.0.50/lisp/org/org-faces
/home/deusmax/.emacs.d/elpa/org-20200213/org-keys hides /usr/local/share/emacs/28.0.50/lisp/org/org-keys
/home/deusmax/.emacs.d/elpa/org-20200213/org-pcomplete hides /usr/local/share/emacs/28.0.50/lisp/org/org-pcomplete
/home/deusmax/.emacs.d/elpa/org-20200213/ox-org hides /usr/local/share/emacs/28.0.50/lisp/org/ox-org
/home/deusmax/.emacs.d/elpa/org-20200213/ob-css hides /usr/local/share/emacs/28.0.50/lisp/org/ob-css
/home/deusmax/.emacs.d/elpa/org-20200213/org-timer hides /usr/local/share/emacs/28.0.50/lisp/org/org-timer
/home/deusmax/.emacs.d/elpa/org-20200213/org-capture hides /usr/local/share/emacs/28.0.50/lisp/org/org-capture
/home/deusmax/.emacs.d/elpa/org-20200213/ob-clojure hides /usr/local/share/emacs/28.0.50/lisp/org/ob-clojure
/home/deusmax/.emacs.d/elpa/org-20200213/ol-bibtex hides /usr/local/share/emacs/28.0.50/lisp/org/ol-bibtex
/home/deusmax/.emacs.d/elpa/org-20200213/ox-texinfo hides /usr/local/share/emacs/28.0.50/lisp/org/ox-texinfo
/home/deusmax/.emacs.d/elpa/org-20200213/org-crypt hides /usr/local/share/emacs/28.0.50/lisp/org/org-crypt
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ebnf hides /usr/local/share/emacs/28.0.50/lisp/org/ob-ebnf
/home/deusmax/.emacs.d/elpa/org-20200213/ob-maxima hides /usr/local/share/emacs/28.0.50/lisp/org/ob-maxima
/home/deusmax/.emacs.d/elpa/org-20200213/ob-exp hides /usr/local/share/emacs/28.0.50/lisp/org/ob-exp
/home/deusmax/.emacs.d/elpa/org-20200213/ob-perl hides /usr/local/share/emacs/28.0.50/lisp/org/ob-perl
/home/deusmax/.emacs.d/elpa/org-20200213/ox-latex hides /usr/local/share/emacs/28.0.50/lisp/org/ox-latex
/home/deusmax/.emacs.d/elpa/org-20200213/org-duration hides /usr/local/share/emacs/28.0.50/lisp/org/org-duration
/home/deusmax/.emacs.d/elpa/org-20200213/ob-comint hides /usr/local/share/emacs/28.0.50/lisp/org/ob-comint
/home/deusmax/.emacs.d/elpa/org-20200213/ox hides /usr/local/share/emacs/28.0.50/lisp/org/ox
/home/deusmax/.emacs.d/elpa/org-20200213/ob-table hides /usr/local/share/emacs/28.0.50/lisp/org/ob-table
/home/deusmax/.emacs.d/elpa/org-20200213/ox-man hides /usr/local/share/emacs/28.0.50/lisp/org/ox-man
/home/deusmax/.emacs.d/elpa/org-20200213/ox-md hides /usr/local/share/emacs/28.0.50/lisp/org/ox-md
/home/deusmax/.emacs.d/elpa/org-20200213/org-archive hides /usr/local/share/emacs/28.0.50/lisp/org/org-archive
/home/deusmax/.emacs.d/elpa/org-20200213/ob-abc hides /usr/local/share/emacs/28.0.50/lisp/org/ob-abc
/home/deusmax/.emacs.d/elpa/org-20200213/ox-odt hides /usr/local/share/emacs/28.0.50/lisp/org/ox-odt
/home/deusmax/.emacs.d/elpa/org-20200213/ob-groovy hides /usr/local/share/emacs/28.0.50/lisp/org/ob-groovy
/home/deusmax/.emacs.d/elpa/org-20200213/org-attach-git hides /usr/local/share/emacs/28.0.50/lisp/org/org-attach-git
/home/deusmax/.emacs.d/elpa/org-20200213/org-src hides /usr/local/share/emacs/28.0.50/lisp/org/org-src
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sql hides /usr/local/share/emacs/28.0.50/lisp/org/ob-sql
/home/deusmax/.emacs.d/elpa/org-20200213/ob-io hides /usr/local/share/emacs/28.0.50/lisp/org/ob-io
/home/deusmax/.emacs.d/elpa/org-20200213/ob-coq hides /usr/local/share/emacs/28.0.50/lisp/org/ob-coq
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ledger hides /usr/local/share/emacs/28.0.50/lisp/org/ob-ledger
/home/deusmax/.emacs.d/elpa/org-20200213/org-plot hides /usr/local/share/emacs/28.0.50/lisp/org/org-plot
/home/deusmax/.emacs.d/elpa/org-20200213/org-macro hides /usr/local/share/emacs/28.0.50/lisp/org/org-macro
/home/deusmax/.emacs.d/elpa/org-20200213/ox-ascii hides /usr/local/share/emacs/28.0.50/lisp/org/ox-ascii
/home/deusmax/.emacs.d/elpa/org-20200213/ol-irc hides /usr/local/share/emacs/28.0.50/lisp/org/ol-irc
/home/deusmax/.emacs.d/elpa/org-20200213/ob-mscgen hides /usr/local/share/emacs/28.0.50/lisp/org/ob-mscgen
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ref hides /usr/local/share/emacs/28.0.50/lisp/org/ob-ref
/home/deusmax/.emacs.d/elpa/org-20200213/ob-awk hides /usr/local/share/emacs/28.0.50/lisp/org/ob-awk
/home/deusmax/.emacs.d/elpa/org-20200213/ol-mhe hides /usr/local/share/emacs/28.0.50/lisp/org/ol-mhe
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ruby hides /usr/local/share/emacs/28.0.50/lisp/org/ob-ruby
/home/deusmax/.emacs.d/elpa/org-20200213/org-inlinetask hides /usr/local/share/emacs/28.0.50/lisp/org/org-inlinetask
/home/deusmax/.emacs.d/elpa/org-20200213/ob-java hides /usr/local/share/emacs/28.0.50/lisp/org/ob-java
/home/deusmax/.emacs.d/elpa/org-20200213/org-attach hides /usr/local/share/emacs/28.0.50/lisp/org/org-attach
/home/deusmax/.emacs.d/elpa/org-20200213/org-entities hides /usr/local/share/emacs/28.0.50/lisp/org/org-entities
/home/deusmax/.emacs.d/elpa/org-20200213/ob-js hides /usr/local/share/emacs/28.0.50/lisp/org/ob-js
/home/deusmax/.emacs.d/elpa/org-20200213/ob-core hides /usr/local/share/emacs/28.0.50/lisp/org/ob-core
/home/deusmax/.emacs.d/elpa/org-20200213/ob-latex hides /usr/local/share/emacs/28.0.50/lisp/org/ob-latex
/home/deusmax/.emacs.d/elpa/org-20200213/ob-matlab hides /usr/local/share/emacs/28.0.50/lisp/org/ob-matlab
/home/deusmax/.emacs.d/elpa/org-20200213/ob hides /usr/local/share/emacs/28.0.50/lisp/org/ob
/home/deusmax/.emacs.d/elpa/org-20200213/ob-vala hides /usr/local/share/emacs/28.0.50/lisp/org/ob-vala
/home/deusmax/.emacs.d/elpa/org-20200213/ob-picolisp hides /usr/local/share/emacs/28.0.50/lisp/org/ob-picolisp
/home/deusmax/.emacs.d/elpa/org-20200213/org-lint hides /usr/local/share/emacs/28.0.50/lisp/org/org-lint
/home/deusmax/.emacs.d/elpa/org-20200213/ob-hledger hides /usr/local/share/emacs/28.0.50/lisp/org/ob-hledger
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sass hides /usr/local/share/emacs/28.0.50/lisp/org/ob-sass
/home/deusmax/.emacs.d/elpa/org-20200213/ob-scheme hides /usr/local/share/emacs/28.0.50/lisp/org/ob-scheme
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lilypond hides /usr/local/share/emacs/28.0.50/lisp/org/ob-lilypond
/home/deusmax/.emacs.d/elpa/org-20200213/ob-eval hides /usr/local/share/emacs/28.0.50/lisp/org/ob-eval
/home/deusmax/.emacs.d/elpa/org-20200213/org-habit hides /usr/local/share/emacs/28.0.50/lisp/org/org-habit
/home/deusmax/.emacs.d/elpa/org-20200213/ob-shell hides /usr/local/share/emacs/28.0.50/lisp/org/ob-shell
/home/deusmax/.emacs.d/elpa/org-20200213/org-macs hides /usr/local/share/emacs/28.0.50/lisp/org/org-macs
/home/deusmax/.emacs.d/elpa/org-20200213/ol-info hides /usr/local/share/emacs/28.0.50/lisp/org/ol-info
/home/deusmax/.emacs.d/elpa/org-20200213/ol-eww hides /usr/local/share/emacs/28.0.50/lisp/org/ol-eww
/home/deusmax/.emacs.d/elpa/org-20200213/org-mobile hides /usr/local/share/emacs/28.0.50/lisp/org/org-mobile
/home/deusmax/.emacs.d/elpa/org-20200213/ob-C hides /usr/local/share/emacs/28.0.50/lisp/org/ob-C
/home/deusmax/.emacs.d/elpa/org-20200213/org-agenda hides /usr/local/share/emacs/28.0.50/lisp/org/org-agenda
/home/deusmax/.emacs.d/elpa/org-20200213/ob-stan hides /usr/local/share/emacs/28.0.50/lisp/org/ob-stan
/home/deusmax/.emacs.d/elpa/org-20200213/ob-J hides /usr/local/share/emacs/28.0.50/lisp/org/ob-J
/home/deusmax/.emacs.d/elpa/org-20200213/ob-emacs-lisp hides /usr/local/share/emacs/28.0.50/lisp/org/ob-emacs-lisp
/home/deusmax/.emacs.d/elpa/org-20200213/ol-bbdb hides /usr/local/share/emacs/28.0.50/lisp/org/ol-bbdb
/home/deusmax/.emacs.d/elpa/org-20200213/org-protocol hides /usr/local/share/emacs/28.0.50/lisp/org/org-protocol
/home/deusmax/.emacs.d/elpa/org-20200213/ob-org hides /usr/local/share/emacs/28.0.50/lisp/org/ob-org
/home/deusmax/.emacs.d/elpa/org-20200213/ob-eshell hides /usr/local/share/emacs/28.0.50/lisp/org/ob-eshell
/home/deusmax/.emacs.d/elpa/org-20200213/org-id hides /usr/local/share/emacs/28.0.50/lisp/org/org-id
/home/deusmax/.emacs.d/elpa/org-20200213/ol hides /usr/local/share/emacs/28.0.50/lisp/org/ol
/home/deusmax/.emacs.d/elpa/org-20200213/org-colview hides /usr/local/share/emacs/28.0.50/lisp/org/org-colview
/home/deusmax/.emacs.d/elpa/org-20200213/ob-screen hides /usr/local/share/emacs/28.0.50/lisp/org/ob-screen
/home/deusmax/.emacs.d/elpa/org-20200213/ob-haskell hides /usr/local/share/emacs/28.0.50/lisp/org/ob-haskell
/home/deusmax/.emacs.d/elpa/org-20200213/ox-beamer hides /usr/local/share/emacs/28.0.50/lisp/org/ox-beamer
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ocaml hides /usr/local/share/emacs/28.0.50/lisp/org/ob-ocaml
/home/deusmax/.emacs.d/elpa/org-20200213/ol-gnus hides /usr/local/share/emacs/28.0.50/lisp/org/ol-gnus
/home/deusmax/.emacs.d/elpa/org-20200213/org-datetree hides /usr/local/share/emacs/28.0.50/lisp/org/org-datetree
/home/deusmax/.emacs.d/elpa/org-20200213/ob-makefile hides /usr/local/share/emacs/28.0.50/lisp/org/ob-makefile
/home/deusmax/.emacs.d/elpa/org-20200213/org-list hides /usr/local/share/emacs/28.0.50/lisp/org/org-list
/home/deusmax/.emacs.d/elpa/org-20200213/org-table hides /usr/local/share/emacs/28.0.50/lisp/org/org-table
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lisp hides /usr/local/share/emacs/28.0.50/lisp/org/ob-lisp
/home/deusmax/.emacs.d/elpa/org-20200213/ol-w3m hides /usr/local/share/emacs/28.0.50/lisp/org/ol-w3m
/home/deusmax/.emacs.d/elpa/org-20200213/ob-fortran hides /usr/local/share/emacs/28.0.50/lisp/org/ob-fortran
/home/deusmax/.emacs.d/elpa/org-20200213/ob-ditaa hides /usr/local/share/emacs/28.0.50/lisp/org/ob-ditaa
/home/deusmax/.emacs.d/elpa/org-20200213/ob-sed hides /usr/local/share/emacs/28.0.50/lisp/org/ob-sed
/home/deusmax/.emacs.d/elpa/org-20200213/org-tempo hides /usr/local/share/emacs/28.0.50/lisp/org/org-tempo
/home/deusmax/.emacs.d/elpa/org-20200213/ol-docview hides /usr/local/share/emacs/28.0.50/lisp/org/ol-docview
/home/deusmax/.emacs.d/elpa/org-20200213/ob-python hides /usr/local/share/emacs/28.0.50/lisp/org/ob-python
/home/deusmax/.emacs.d/elpa/org-20200213/ob-calc hides /usr/local/share/emacs/28.0.50/lisp/org/ob-calc
/home/deusmax/.emacs.d/elpa/org-20200213/ob-R hides /usr/local/share/emacs/28.0.50/lisp/org/ob-R
/home/deusmax/.emacs.d/elpa/org-20200213/ob-lob hides /usr/local/share/emacs/28.0.50/lisp/org/ob-lob
/home/deusmax/.emacs.d/elpa/org-20200213/org-loaddefs hides /usr/local/share/emacs/28.0.50/lisp/org/org-loaddefs
/home/deusmax/.emacs.d/elpa/org-20200213/ob-dot hides /usr/local/share/emacs/28.0.50/lisp/org/ob-dot
/home/deusmax/.emacs.d/elpa/org-20200213/org-footnote hides /usr/local/share/emacs/28.0.50/lisp/org/org-footnote
/home/deusmax/.emacs.d/elpa/org-20200213/ob-gnuplot hides /usr/local/share/emacs/28.0.50/lisp/org/ob-gnuplot

Features:
(shadow emacsbug dired-aux image-file dired-hide-dotfiles calccomp
calc-alg calc-menu calc-aent pass geiser-mode geiser-xref geiser-compile
geiser-debug geiser-gambit geiser-chibi geiser-mit geiser-chez
geiser-chicken geiser-racket geiser-guile geiser-repl geiser-image
geiser-company geiser-doc geiser-menu geiser-autodoc geiser-edit
geiser-completion geiser-eval geiser-connection geiser-syntax scheme
geiser-log geiser-popup view pdf-links ibuf-ext ibuffer ibuffer-loaddefs
pdf-tools pdf-isearch let-alist tablist tablist-filter
semantic/wisent/comp semantic/wisent semantic/wisent/wisent
semantic/util-modes semantic/util semantic semantic/tag semantic/lex
semantic/fw mode-local cedet pdf-misc pdf-view pdf-cache pdf-info
pdf-util treemacs-compatibility treemacs-mode treemacs-bookmarks thunk
treemacs-interface treemacs-extensions treemacs-persistence
treemacs-mouse-interface treemacs-tag-follow-mode
treemacs-filewatch-mode treemacs-tags treemacs-visuals
treemacs-fringe-indicator pulse treemacs-faces filenotify
treemacs-follow-mode treemacs-rendering treemacs-async treemacs-icons
treemacs-themes treemacs-workspaces treemacs-scope treemacs-dom
treemacs-core-utils treemacs-macros treemacs-customization ace-window
avy pfuture inline ht helm-pass password-store auth-source-pass
with-editor server cal-move org-eldoc flow-fill helpful trace info-look
f dash-functional elisp-refs s loop helm-bbdb helm-ring mailalias
bbdb-message outshine outshine-org-cmds outorg flyspell ispell org-toc
org-mouse org-crypt switch-window switch-window-mvborder
switch-window-asciiart quail ffap tabify emms-librefm-stream
emms-playlist-limit emms-volume emms-volume-mixerctl emms-volume-pulse
emms-volume-amixer emms-i18n emms-history emms-score emms-stream-info
emms-metaplaylist-mode emms-bookmarks emms-cue emms-mode-line-icon
emms-browser emms-player-xine emms-player-mpd emms-lyrics emms-streams
emms-show-all emms-tag-editor emms-info-metaflac emms-mark
emms-info-opusinfo emms-info-ogginfo emms-info-mp3info tq emms-mode-line
emms-url emms-librefm-scrobbler emms-playlist-sort emms-playlist-mode
emms-source-playlist emms-last-played emms-source-file locate emms-cache
emms-playing-time emms-player-simple emms-info later-do emms emms-compat
sgml-mode js2-mode etags fileloop xref project js imenu dabbrev tempo
term ehelp org-capture ol-bibtex org-attach org-id nnir doc-view
jka-compr image-mode exif bibtex geiser-impl help-fns geiser-custom
geiser-base geiser ob-octave ebnf2ps ob-clojure calc-store calc-trail
calc-ext cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs tar-mode arc-mode archive-mode
whitespace-cleanup-mode warnings autoload radix-tree lisp-mnt finder-inf
whitespace ledger-mode ledger-check ledger-texi ledger-test ledger-sort
ledger-report ledger-reconcile ledger-occur ledger-fonts ledger-fontify
ledger-state ledger-complete ledger-schedule ledger-init ledger-xact
ledger-post ledger-exec ledger-navigate ledger-context
ledger-commodities cus-edit ledger-regex recentf tree-widget ido
helm-x-files helm-for-files helm-bookmark helm-adaptive bookmark pp
helm-external helm-net misearch multi-isearch mule-util gnus-uu yenc
shr-color mail-extr qp sort gnus-cite smiley url-queue gnus-async
gnus-bcklg gnus-ml disp-table cursor-sensor mm-archive url-http-ntlm
ntlm calc calc-loaddefs calc-macs hmac-md5 hex-util md4 url-http url-gw
url-cache nndraft nnmh nnrss mm-url utf-7 gnutls network-stream nsm
nnfolder bbdb-gnus bbdb-mua nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime
smime dig nntp gnus-cache gnus-sum url url-proxy url-privacy url-expand
url-methods url-history mailcap shr url-cookie url-domsuf svg xml dom
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source
utf7 netrc nnoo gnus-spec gnus-int gnus-range message rmc puny rfc822
mml mml-sec epa derived epg epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 gmm-utils mailheader gnus-win gnus nnheader gnus-util
rmail rmail-loaddefs text-property-search wid-edit winner helm-command
helm-elisp helm-eval edebug backtrace helm-info paredit smtpmail-multi
smtpmail sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils pcre2el rxt re-builder pdf-loader dired-subtree
dired-hacks-utils dired-quick-sort savehist dired dired-loaddefs
windmove two-column cl-extra hydra lv bm printing ps-print
ps-print-loaddefs ps-def lpr flycheck-ledger flycheck help-mode dash
occur-x multiple-cursors mc-hide-unmatched-lines-mode
mc-separate-operations rectangular-region-mode mc-mark-pop mc-mark-more
thingatpt mc-cycle-cursors mc-edit-lines multiple-cursors-core rect
esh-autosuggest company pcase eshell-z em-dirs esh-var esh-mode eshell
esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module esh-groups
esh-util eshell-up helm-ls-git vc-git diff-mode vc vc-dispatcher
helm-swoop helm-mode helm-files helm-buffers helm-occur helm-tags
helm-locate helm-grep wgrep-helm wgrep grep compile helm-regexp
helm-utils helm-help helm-types helm helm-source eieio-compat
helm-multi-match helm-lib helm-config helm-easymenu async-bytecomp async
ace-jump-mode mode-icons hl-line color edmacro kmacro cal-china lunar
solar cal-dst cal-islam cal-julian holidays hol-loaddefs bbdb-anniv
bbdb-com crm mailabbrev appt diary-lib diary-loaddefs org-mime ox-org
ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn
nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar
ox-html table ox-ascii ox-publish ox org-element avl-tree generator
org-habit org-edna org-clock org-location-google-maps org-agenda
google-maps google-maps-static url-util google-maps-geocode
google-maps-base org org-macro org-footnote org-pcomplete org-list
org-faces org-entities noutline outline easy-mmode org-version ob-latex
ob-plantuml ob-org ob-shell ob-ditaa ob-dot ob ob-tangle org-src ob-ref
ob-lob ob-table ob-exp ob-comint ob-emacs-lisp ob-core ob-eval org-table
ol org-keys org-compat advice org-macs org-loaddefs find-func cal-menu
calendar cal-loaddefs htmlize cl bbdb bbdb-site timezone lxc-tramp tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat shell
pcomplete comint ansi-color ring parse-time iso8601 time-date ls-lisp
format-spec paren midnight elec-pair cus-start cus-load rx tex-site
url-auth info package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting xwidget-internal cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 2203071 256530)
 (symbols 48 84390 1)
 (strings 32 385336 68039)
 (string-bytes 1 13387904)
 (vectors 16 122530)
 (vector-slots 8 2207258 171092)
 (floats 8 1459 434)
 (intervals 56 187737 3979)
 (buffers 1000 198))

--=-=-=--




Acknowledgement sent to Deus Max <deusmax@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39618; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Feb 2020 21:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.